From cf34737977a97e0090e09390b209078dabdc77af Mon Sep 17 00:00:00 2001
From: bzapiec <benjamin.zapiec@gonicus.de>
Date: Wed, 28 Feb 2018 16:47:50 +0100
Subject: [PATCH] revert initial changes to remove gosa-si DaemonEvents remain
 available

---
 admin/systems/class_servGeneric.inc      | 58 +++++++-------------------------
 admin/systems/class_systemManagement.inc | 41 +++-------------------
 admin/systems/class_termDNS.inc          | 11 ------
 3 files changed, 16 insertions(+), 94 deletions(-)

diff --git a/admin/systems/class_servGeneric.inc b/admin/systems/class_servGeneric.inc
index 085928f4a..1bf241901 100644
--- a/systems/admin/systems/class_servGeneric.inc
+++ b/systems/admin/systems/class_servGeneric.inc
@@ -101,16 +101,8 @@ class servgeneric extends plugin
         }
 
         /* Check if this host is currently in installation process*/
-        if($this->dn != "new" && class_available("gosaSupportDaemon") && class_available("DaemonEvent")){
-            $o = new gosaSupportDaemon();
+        if($this->dn != "new" && class_available("DaemonEvent")){
             $e_types = DaemonEvent::get_event_types(USER_EVENT | SYSTEM_EVENT | HIDDEN_EVENT);
-            $evts = $o->get_entries_by_mac(array($this->netConfigDNS->macAddress));
-            foreach($evts as $evt){
-                if(isset($e_types['QUEUED'][$evt['HEADERTAG']]) && $evt['STATUS'] == "processing" && 
-                        $e_types['QUEUED'][$evt['HEADERTAG']] == "DaemonEvent_reinstall"){
-                    $this->currently_installing =TRUE;
-                }
-            }
         }
 
         /* Save dn for later references */
@@ -170,10 +162,6 @@ class servgeneric extends plugin
                     $tmp = new $evt['CLASS_NAME']($this->config);
                     $tmp->add_targets(array($this->netConfigDNS->macAddress));
                     $tmp->set_type(TRIGGERED_EVENT);
-                    $o_queue = new gosaSupportDaemon();
-                    if(!$o_queue->append($tmp)){
-                        msg_dialog::display(_("Service infrastructure"),msgPool::siError($o_queue->get_error()),ERROR_DIALOG);
-                    }
                 }
             }else{
                 msg_dialog::display(_("Event error"),
@@ -199,29 +187,16 @@ class servgeneric extends plugin
         }
 
         /* Assign status */
-        if (gosaSupportDaemon::ping($this->netConfigDNS->macAddress)){
-            $smarty->assign("actions", 
-                    set_post(
-                        array(
-                            "halt" => _("Switch off"), 
-                            "reboot" => _("Reboot"),
-                            "update" => _("System update"),
-                            "reinstall" => _("Reinstall"),
-                            "rescan" => _("Rescan hardware"),
-                            "memcheck" => _("Memory test"),
-                            "localboot" => _("Force local boot"),
-                            "sysinfo"  => _("System analysis"))));
-        } else {
-            $smarty->assign("actions", 
-                    set_post(
-                        array(
-                            "wakeup" => _("Wake up"),
-                            "reinstall" => _("Reinstall"),
-                            "update" => _("System update"),
-                            "memcheck" => _("Memory test"),
-                            "localboot" => _("Force local boot"),
-                            "sysinfo"  => _("System analysis"))));
-        }
+
+        $smarty->assign("actions", 
+                set_post(
+                    array(
+                        "wakeup" => _("Wake up"),
+                        "reinstall" => _("Reinstall"),
+                        "update" => _("System update"),
+                        "memcheck" => _("Memory test"),
+                        "localboot" => _("Force local boot"),
+                        "sysinfo"  => _("System analysis"))));
 
         /* Show main page */
         $smarty->assign("fai_activated",$this->fai_activated);
@@ -279,12 +254,7 @@ class servgeneric extends plugin
             $og->save ();
         }
 
-        /* Clean queue form entries with this mac 
-         */
-        if(class_available("gosaSupportDaemon") && tests::is_mac($this->netConfigDNS->orig_macAddress)){
-            $q = new gosaSupportDaemon();
-            $q->clean_queue_from_mac($this->netConfigDNS->orig_macAddress);
-        }
+
         $this->handle_post_events("remove",array("macAddress" => $this->netConfigDNS->macAddress,"ipHostNumber" => $this->netConfigDNS->ipHostNumber));
     }
 
@@ -455,15 +425,11 @@ class servgeneric extends plugin
             /* Send installation activation 
              */
             $events = DaemonEvent::get_event_types(SYSTEM_EVENT | HIDDEN_EVENT);
-            $o_queue = new gosaSupportDaemon();
             if(isset($events['TRIGGERED']['DaemonEvent_installation_activation'])){
                 $evt = $events['TRIGGERED']['DaemonEvent_installation_activation'];
                 $tmp = new $evt['CLASS_NAME']($this->config);
                 $tmp->set_type(TRIGGERED_EVENT);
                 $tmp->add_targets(array($this->netConfigDNS->macAddress));
-                if(!$o_queue->append($tmp)){
-                    msg_dialog::display(_("Service infrastructure"),msgPool::siError($o_queue->get_error()),ERROR_DIALOG);
-                }
             }
         }
 
diff --git a/admin/systems/class_systemManagement.inc b/admin/systems/class_systemManagement.inc
index 6a766fdeb..56c143873 100644
--- a/systems/admin/systems/class_systemManagement.inc
+++ b/systems/admin/systems/class_systemManagement.inc
@@ -110,7 +110,7 @@ class systemManagement extends management
         $filter->setConverter('systemManagement::incomingFilterConverter');
 
         // Register Daemon Events
-        if(class_available("DaemonEvent") && class_available("gosaSupportDaemon")){
+        if(class_available("DaemonEvent")){
             $events = DaemonEvent::get_event_types(SYSTEM_EVENT | HIDDEN_EVENT);
             foreach($events['TRIGGERED'] as $name => $data){
                 $this->registerAction("T_".$name,"handleEvent");
@@ -145,11 +145,7 @@ class systemManagement extends management
             $this->snapHandler = new SnapshotHandler($this->config);
         }
 
-        // Check if we are able to communicate with the GOsa supprot daemon
-        if(class_available("gosaSupportDaemon")){
-            $o = new gosaSupportDaemon();
-            $this->si_active = $o->connect() && class_available("DaemonEvent");
-        }
+        $this->si_active = FALSE;
 
         // Check if we are able to communicate with the GOsa supprot daemon
         if(class_available("opsi")){
@@ -482,7 +478,6 @@ class systemManagement extends management
             $ldap = $this->config->get_ldap_link();
             $tD = $this->getObjectDefinitions();
             $events = DaemonEvent::get_event_types(SYSTEM_EVENT);
-            $o_queue = new gosaSupportDaemon();
             foreach($target as $dn){
                 $type = $headpage->getType($dn);
                 if($tD[$type]['sendEvents']){
@@ -493,24 +488,6 @@ class systemManagement extends management
                 }
             }
 
-            /* Skip installation or update trigerred events,
-             *  if this entry is currently processing.
-             */
-            if($triggered && in_array_strict($event,array("DaemonEvent_reinstall","DaemonEvent_update"))){
-                foreach($mac as $key => $mac_address){
-                    foreach($o_queue->get_entries_by_mac(array($mac_address)) as $entry){
-                        $entry['STATUS'] = strtoupper($entry['STATUS']);
-                        if($entry['STATUS'] == "PROCESSING" &&
-                                isset($events['QUEUED'][$entry['HEADERTAG']]) &&
-                                in_array_strict($events['QUEUED'][$entry['HEADERTAG']],array("DaemonEvent_reinstall","DaemonEvent_update"))){
-                            unset($mac[$key]);
-
-                            new log("security","systems/".get_class($this),"",array(),"Skip adding 'DaemonEvent::".$type."' for mac '".$mac_address."', there is already a job in progress.");
-                            break;
-                        }
-                    }
-                }
-            }
 
             // Prepare event to be added
             if(count($mac) && isset($events['BY_CLASS'][$event]) && $this->si_active){
@@ -520,12 +497,7 @@ class systemManagement extends management
 
                 if($triggered){
                     $this->dialogObject->set_type(TRIGGERED_EVENT);
-                    $o_queue->append($this->dialogObject);
-                    if($o_queue->is_error()){
-                        msg_dialog::display(_("Service infrastructure"),msgPool::siError($o_queue->get_error()),ERROR_DIALOG);
-                    }else{
-                        $this->closeDialogs();
-                    }
+                    $this->closeDialogs();
                 }else{
                     $this->dialogObject->set_type(SCHEDULED_EVENT);
                 }
@@ -548,13 +520,8 @@ class systemManagement extends management
      */ 
     function saveEventDialog()
     {
-        $o_queue = new gosaSupportDaemon();
-        $o_queue->append($this->dialogObject);
-        if($o_queue->is_error()){
-            msg_dialog::display(_("Service infrastructure"),msgPool::siError($o_queue->get_error()),ERROR_DIALOG);
-        }else{
+
             $this->closeDialogs();
-        }
     }
 
 
diff --git a/admin/systems/class_termDNS.inc b/admin/systems/class_termDNS.inc
index 8a5f42237..4d201ab9c 100644
--- a/systems/admin/systems/class_termDNS.inc
+++ b/systems/admin/systems/class_termDNS.inc
@@ -317,17 +317,6 @@ class termDNS extends plugin
                     if(isset($res['ip']) && tests::is_ip($res['ip'])) $this->ipHostNumber= $res['ip'];
                     if(isset($res['mac']) && tests::is_mac($res['mac'])) $this->macAddress= $res['mac'];
                 }
-            }elseif ($this->config->get_cfg_value("core","gosaSupportURI") != ""){
-
-                $d= new gosaSupportDaemon(TRUE, 0.5);
-                $res= $d->_send("<xml><header>gosa_network_completition</header>".
-                        "<source>GOSA</source><target>GOSA</target><hostname>".$this->cn."</hostname></xml>", TRUE);
-                if (isset($res['XML']['IP']) && $this->acl_is_writeable("ipHostNumber")){
-                    $this->ipHostNumber= $res['XML']['IP'];
-                }
-                if (isset($res['XML']['MAC']) && $this->acl_is_writeable("macAddress")){
-                    $this->macAddress= $res['XML']['MAC'];
-                }
             }
         }
 
